# Best IDE?

Welcome back, holyre. You last visited: Today, 05:44 PM Log Out
Pages (7): « Previous 1 2 3 4 5 ... 7 Next »
New Reply

Best IDE?

jurorno3 •
Newbie
Registered
Posts:
4
Joined:
Oct 2020
Reputation:
0
#21
10-11-2020, 08:53 AM
sublime3 works great. Notepad++ is a powerful tool if you add some plugins
PM Find Rep
Reply Report
ravehorn •
Junior
Member
Posts:
15
Joined:
Oct 2020
Reputation:
1
#22
10-14-2020, 04:27 PM
I think that IDE is just a tool, and as long as you are comfortable with it - it will be the best for you.
I personally use PyCharm and Clion, however if I need something faster - I use Atom.
PM Find Rep
Reply Report
deadseascrolls •
Newbie
Registered
Posts:
3
Joined:
Nov 2020
Reputation:
0
#23
11-06-2020, 05:16 PM
IDEs are designed to hide what's happening behind the scenes assuming that its users are stupid and afraid of lower-level details. You only want to use one once you understand how text editor, compiler and debugger work together in harmony.
Visual Studio Code is a Microsoft honeypot.
Sublime is proprietary spyware.
Atom is Electron garbage.
The only good text editor is Vim or Emacs. Many people avoid them because they feel too good about themselves to learn how to use tools with a steep learning curve.
PM Find Rep
Reply Report
CrackingCracks •
Junior
Registered
Posts:
12
Joined:
Oct 2020
Reputation:
0
#24
11-08-2020, 06:52 PM

> (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> I've tried sublime text (Piracy сука) but it wasn't really my speed.

>not using nano like a real CHAD
ngmi
PM Find Rep
Reply Report
YourRightSir •
Junior
Member
Posts:
24
Joined:
Oct 2020
Reputation:
0
#25
11-09-2020, 06:28 PM
WingIDE is nice, otherwise as previous post, visual studio code.
PM Find Rep
Reply Report
ShroomGirl •
Junior
Member
Posts:
22
Joined:
Oct 2020
Reputation:
0
#26
11-10-2020, 01:55 AM
I use vim. It takes some getting used to but I think it's worth it.
PM Find Rep
Reply Report
Err0r •
Senior
Member
Posts:
161
Joined:
Aug 2020
Reputation:
8
#27
11-14-2020, 10:04 AM
VSCodium is a good one too
PM Find Rep
Reply Report
themyth •
Junior
Member
Posts:
18
Joined:
Nov 2020
Reputation:
0
#28
11-15-2020, 11:25 PM

> (11-14-2020, 10:04 AM)Err0r Wrote: VSCodium is a good one too

I'll second VSCodium. All the fun of VSCode, and none of the microsoft garbage.
PM Find Rep
Reply Report
jenga •
Junior
Registered
Posts:
6
Joined:
Nov 2020
Reputation:
0
#29
11-30-2020, 11:31 PM

> (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> I've tried sublime text (Piracy сука) but it wasn't really my speed.

Jetbrains suite is great. There are community editions which function pretty well too if you don't want to pay the price.
PM Find Rep
Reply Report
cold •
Member
Member
Posts:
49
Joined:
Nov 2020
Reputation:
8
#30
12-02-2020, 04:54 PM
Honestly, I just use nano for everything.
PM Find Rep
Reply Report

Pages (7): « Previous 1 2 3 4 5 ... 7 Next »
// $(".author_avatar img").error(function () { $(this).unbind("error").closest('.author_avatar').remove(); });